# Interface JspSourceImports

public interface JspSourceImports
The EL engine needs access to the imports used in the JSP page to configure the ELContext. The imports are available at compile time but the ELContext is created lazily per page. This interface exposes the imports at runtime so that they may be added to the ELContext when it is created.

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getClassImports()`
Returns the set of class imports.
`Set<String>`
`getPackageImports()`
Returns the set of package imports.

## Method Details

### getPackageImports

Set<String> getPackageImports()
Returns the set of package imports.

Returns:
  the package imports

### getClassImports

Set<String> getClassImports()
Returns the set of class imports.

Returns:
  the class imports